/*
 Joan Soler-Adillon
 http://www.joan.cat/
 Realitat Virtual || Realidad Virtual - Processing
 Màster en Arts Digitals, UPF
 Març 2010
 */

//creamos las variables necesarias
float generador = 0;
int szSmall = 3;
int szBig = 9;
//esto es simplemente la altura a la que dibujaremos las ondas
int alturaSin = 150;
int alturaCos = 350;


void setup(){
  size(750,500);
  //preparamos el dibujo
  smooth();
  stroke(255);
  strokeWeight(3);
}

void draw(){
  background(0);
  //para cada línea en lo vertical
  for(int i=0;i<width;i++){
    //Creamos un valor según el sino y cosino del generador
    float valorSin = sin(generador);
    float valorCos = cos(generador);
    //aumentamos el generadors (~ frecuencia de onda)
    generador += 0.05;
    //nos aseguramos que el valor del generador no sea superior a 2*PI,
    //que es lo que ocupa una circumferencia en radianes
    if(generador>=TWO_PI)generador=0;
    //multiplicamos los valores (= amplitud de onda)
    valorSin *= 10;
    valorCos *= 10;
    //dibujamos los puntos que haran las ondas sinusoidales 
    point(i,alturaSin+valorSin);
    point(i,alturaCos+valorCos);
    //y unas elipses que bailen!
    if(i==width/2){
      ellipse(width/2,alturaSin+valorSin,szBig,szBig);
      ellipse(width/2,alturaCos+valorCos,szBig,szBig);
    }  
  }
}

//para parar y observar:
void mousePressed(){
  noLoop();
  stroke(127);
  strokeWeight(1);
  for(int i=0; i < width; i += 25){
    line(i,0,i,height); 
  }
}
void mouseReleased(){
  stroke(255);
  strokeWeight(3);
  loop(); 
}







